import request from '../utils/request'

//历史聊天记录查询 用户查询七天前的聊天信息
export function getHistory(data) {
    return request({
      url: `chat/message/find/history/message`,
      method: 'post',
      data
    })
  }

  //历史聊天记录查询 查询七天内记录
export function getHistory7(data) {
    return request({
      url: `chat/message/find/recently/message`,
      method: 'post',
      data
    })
  }

    //用户点击对话框默认已读
export function getReadMessage(data) {
    return request({
      url: `chat/message/read/message`,
      method: 'post',
      data
      
    })
  }

      //聊天列表
export function getRoomList(data) {
    return request({
      url: `/chat/rooms/find/room/list`,
      method: 'post',    
      data
    })
  }

  
      //重要聊天标记
export function getUpdateRoom(data) {
    return request({
      url: `/chat/rooms/update/room`,
      method: 'post',    
      data
    })
  }

//图片上传接口
// export function getFileUpdate(data) {
//     return request({
//       url: `file/update`,
//       method: 'post',    
//       data
//     })
//   }

  
//图根据当前用户邮箱查询聊天室id
export function getUserid(data) {
    return request({
      url: `chat/rooms/find/room/by/userid`,
      method: 'post',    
      data
    })
  }


//上传图片
export function getFileUpdate(data) {
  return request({
    url: `pool/ticket/uploadFile`,
    method: 'post',    
    data
  })
}

